//
//  T4TwoApp.h
//  T4Two
//

#import "common.h"
#import "GameView.h"

#ifdef ASPEN

#ifndef UIKIT_UIFont_UIColor_H
#define UIKIT_UIFont_UIColor_H
typedef float CGFloat;
#import <UIKit/UIFont.h>
#import <UIKit/UIColor.h>
#endif

#ifndef UIKIT_UIAccelerometer_H
#define UIKIT_UIAccelerometer_H
#import <UIKit/UIAccelerometer.h>
#define kUpdateFrequency 10  // Hz
#endif

#endif

UIApplication	*thisApp;

#if defined ASPEN && defined ENABLE_ACCELEROMETER
@interface T4TwoApp : UIApplication <UIAccelerometerDelegate> 
#else
@interface T4TwoApp : UIApplication
#endif
{
	UIWindow	*window;
	GameView	*gameView;
}
#if defined ASPEN && defined ENABLE_ACCELEROMETER
- (void)accelerometer:(UIAccelerometer *)accelerometer didAccelerate:(UIAcceleration *)acceleration;
#endif
@end
